# Class CIM_PackageTempSensor
extends CIM_PackageDependency

Often, a TemperatureSensor is installed in a Package such as a Chassis or a Rack, not to measure any particular Device, but the Package's environment in general. The use of this association has been deprecated. Instead, use PackageDependency to describe this relationship.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_PackageDependency
|
+--CIM_PackageTempSensor

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_PackageDependency
Description | string | Often, a TemperatureSensor is installed in a Package such as a Chassis or a Rack, not to measure any particular Device, but the Package's environment in general. The use of this association has been deprecated. Instead, use PackageDependency to describe this relationship.
UMLPackagePath | string | CIM::Device::Sensors
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_PackageTempSensor | CIM_TemperatureSensor
Dependent | CIM_PackageTempSensor | CIM_PhysicalPackage

## Class Methods